# Uses of Interface
com.sun.mirror.apt.AnnotationProcessorEnvironment

Packages that use AnnotationProcessorEnvironment
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
org.eclipse.jdt.apt.core.env
This package contains Eclipse extensions to some of the Sun annotation processing APIs.

## Uses of AnnotationProcessorEnvironment in com.sun.mirror.apt

Methods in com.sun.mirror.apt that return AnnotationProcessorEnvironment
Modifier and Type
Method
Description
`AnnotationProcessorEnvironment`
RoundCompleteEvent.`getSource()`
Return source.
Methods in com.sun.mirror.apt with parameters of type AnnotationProcessorEnvironment
Modifier and Type
Method
Description
`AnnotationProcessor`
AnnotationProcessorFactory.`getProcessorFor(Set<AnnotationTypeDeclaration> atds, AnnotationProcessorEnvironment env)`
Returns an annotation processor for a set of annotation types.
Constructors in com.sun.mirror.apt with parameters of type AnnotationProcessorEnvironment
Modifier
Constructor
Description
`protected`
`RoundCompleteEvent(AnnotationProcessorEnvironment source, RoundState rs)`
The current `AnnotationProcessorEnvironment` is regarded as the source of events.

## Uses of AnnotationProcessorEnvironment in org.eclipse.jdt.apt.core.env

Subinterfaces of AnnotationProcessorEnvironment in org.eclipse.jdt.apt.core.env
Modifier and Type
Interface
Description
`interface`
`EclipseAnnotationProcessorEnvironment`
Extended the APT `AnnotationProcessorEnvironment` to expose extra API.
Methods in org.eclipse.jdt.apt.core.env that return AnnotationProcessorEnvironment
Modifier and Type
Method
Description
`static AnnotationProcessorEnvironment`
EnvironmentFactory.`getEnvironment(ICompilationUnit compilationUnit, IJavaProject javaProject)`
Return a processor environment for use outside of building or reconciling.